# Get Endpoint - GetOneDriveSyncTargetById

Returns OneDrive sync target with provided id.

# HTTP Request

One of the following requests should be made:

GET /odata/onedrivesynctargets({key})
GET /odata/onedrivesynctargets/{key}

The endpoint supports the following OData query parameters: $select, $expand

# Path parameters

Name Description
key required. Id of sync job onedrive sync target that should be loaded.

# Query parameters

Name Description
repository optional. Destination repository key.

# Request headers

Name Description
Authorization required. Bearer {token}. See authorization

# Responses

Code Description Type
200 If the load of OneDrive sync target was successful. array OneDriveSyncTargetEntity
400 If provided request data is invalid.
500 When an server error occurs during the load of sync job onedrive synctarget.

# Example

# Request

The following is an example of how to call the endpoint:

GET /odata/onedrivesynctargets(1)?repository=repo1

# Response

The following example shows the response:

Information

The response object is truncated for clarity. Default properties will be returned from the call.

{
    "@odata.context": "https://elosyncurl/odata/$metadata#OneDriveSyncTargets",
    "value": [
        {
            "eloSystemSyncTargetId": 2,
            "folderName": "DriveMe",
            "folderId": "14535"
        }
    ]
}
Last updated: May 15, 2025 at 6:02 PM